<?php

namespace BitGoblin\Goliath\Controllers;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Slim\Routing\RouteContext;
use BitGoblin\Goliath\Models\Comment;

class CommentController extends Controller {

  public function postAdd(Request $request, Response $response): Response {
    $params = (array)$request->getParsedBody();

    $comment = new Comment;
    $comment->body = $params['comment_body'];
    $comment->ticket_id = $params['ticket_id'];

    $comment->save();

    // redirect the user back to the home page
    $routeContext = RouteContext::fromRequest($request);
    $routeParser = $routeContext->getRouteParser();
    return $response
      ->withHeader('Location', $routeParser->urlFor('ticket.view', ['ticket_id' => $comment->ticket->id]))
      ->withStatus(302);
  }

}
